Interface (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena

## Class Interface

- java.lang.Object
- - siena.Interface

-     public class Interface
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `address`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add_ref()`
    `int` | `getCost()`
    `boolean` | `has_no_refs()`
    `void` | `remove_ref()`
    `void` | `send(byte[] packet)`
    `void` | `send(byte[] packet, int len)`
    `void` | `send(byte[] packet, int offset, int len)`
    `void` | `setCost(int cost)`
    `void` | `setCostFromSender()`
    `void` | `shutdown()`
    `void` | `writeTo(siena.SENPWriter out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### address

          public final byte[] address

  - ### Method Detail

    - #### add_ref

          public void add_ref()

    - #### remove_ref

          public void remove_ref()

    - #### has_no_refs

          public boolean has_no_refs()

    - #### writeTo

          public void writeTo(siena.SENPWriter out)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### send

          public void send(byte[] packet)
                    throws PacketSenderException

      Throws:
        `PacketSenderException`

    - #### send

          public void send(byte[] packet,
                  int len)
                    throws PacketSenderException

      Throws:
        `PacketSenderException`

    - #### send

          public void send(byte[] packet,
                  int offset,
                  int len)
                    throws PacketSenderException

      Throws:
        `PacketSenderException`

    - #### shutdown

          public void shutdown()
                        throws PacketSenderException

      Throws:
        `PacketSenderException`

    - #### getCost

          public int getCost()

    - #### setCost

          public void setCost(int cost)

    - #### setCostFromSender

          public void setCostFromSender()

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga